### Method

# FwupdPlugin Hwids get_keys

#### Declaration [src]

    GPtrArray*
    fu_hwids_get_keys (
      FuHwids* self
    )

#### Description [src]

Returns all the defined HWID keys.

Available since: | 1.5.6

#### Return value

Returns: | An array of `utf8`
| All the known keys, e.g. `FU_HWIDS_KEY_FAMILY`.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.